/*
** geoginf.h - structures and types used in ADM-XRC API calls
**
** (C) Copyright 2007 Alpha Data Parallel Systems Ltd.
**
** Do not #include this file - #include <admxrc2/geoginf.h> instead.
*/

#ifndef _ADATA_ADMXRC2_GEOGINF_H
#define _ADATA_ADMXRC2_GEOGINF_H

/*
** Geographical information structure
*/
#define ADMXRC2_GEOGRAPHICAL_INVALID (0)
#define ADMXRC2_GEOGRAPHICAL_PCI (1)
typedef struct _ADMXRC2_GEOGRAPHICAL_INFO {
  unsigned int Type; /* See ADMXRC2_GEOGRAPHICAL_* definitions */
  union {
    struct {
      uint32_t Domain;
      uint8_t  Bus;
      uint8_t  Slot; 
      uint8_t  Function;
   } PCI;
  } Info;
} ADMXRC2_GEOGRAPHICAL_INFO;

#endif
